### Function

# Gegl param_spec_audio_fragment

#### Declaration [src]

    GParamSpec*
    gegl_param_spec_audio_fragment (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpec` instance specifying a `GeglAudioFragment` property.

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name for the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.